# $Revision: 1.64 $, $Date: 2007/01/22 02:22:26 $
Summary:	SMTP "plugin" for MUAs
Summary(pl):	"Wtyczka" SMTP dla klientw pocztowych (MUA)
Name:		msmtp
Version:	1.4.10
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/msmtp/%{name}-%{version}.tar.bz2
# Source0-md5:	38c63aae762d5a31c5f6f5e58961cb52
Patch0:		%{name}-home_etc.patch
Source1:	%{name}rc
URL:		http://msmtp.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gnutls-devel >= 1.2.0
BuildRequires:	gsasl-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
msmtp is a simple program that works as an "SMTP plugin" for Mutt and
probably other MUAs (mail user agents). It forwards mails to an SMTP
server (for example at a free mail provider) which does the delivery.
Features include:
- PLAIN, LOGIN, CRAM-MD5, GSSAPI, DIGEST-MD5 and NTLM authentications
- TLS encrypted connections
- Internationalized Domain Names (IDN) support
- IPv6 support
- robustness
- detailed error messages if something goes wrong (including the full
  answer of the SMTP server)
- sendmail compatible exit codes (which most MUAs understand).

Simply tell your MUA to call msmtp instead of /usr/sbin/sendmail (with
Mutt that's just one additional line in the config file).

%description -l pl
msmtp to prosty program dziaajcy jako "wtyczka SMTP" dla Mutta i
innych klientw pocztowych (MUA - mail user agents). Przekierowuje
wiadomoci do serwera SMTP (na przykad providera darmowych kont
e-mail), ktry je dostarcza. Moliwoci obejmuj:
- uwierzytelnianie PLAIN, LOGIN, CRAM-MD5, GSSAPI, DIGEST-MD5 i NTLM
- obsug Internationalized Domain Names (IDN)
- szyfrowane poczenia TLS
- obsug IPv6
- szczegowe komunikaty bdw w przypadku niepowodzenia (wcznie z
  pen odpowiedzi serwera SMTP)
- kody wyjcia kompatybilne z sendmailem (ktre rozumie wikszo
  MUA).

Wystarczy przekaza klientowi pocztowemu, aby wywoywa msmtp zamiast
/usr/sbin/sendmail (w Mutcie to po prostu dodatkowa linia w pliku
konfiguracyjnym).

%package sendmail
Summary:	msmtp sendmail compatible wrapper
Summary(pl):	msmtp - dowizania symboliczne do sendmaila
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Provides:	/usr/lib/sendmail
Obsoletes:	/usr/lib/sendmail

%description sendmail
msmtp sendmail compatible wrapper.

%description sendmail -l pl
Dowizania symboliczne msmtp do sendmaila.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I gnulib/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/usr/lib,%{_sysconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/msmtprc
ln -s %{_bindir}/%{name} $RPM_BUILD_ROOT/usr/lib/sendmail
ln -s %{_bindir}/%{name} $RPM_BUILD_ROOT%{_sbindir}/sendmail

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS doc/msmtprc-{system,user}.example
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/msmtp*
%{_infodir}/msmtp*

%files sendmail
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_sbindir}/*
/usr/lib/sendmail

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: msmtp.spec,v $
Revision 1.64  2007/01/22 02:22:26  charles
- updated to 1.4.10

Revision 1.63  2006/12/13 11:28:27  charles
- updated to 1.4.9

Revision 1.62  2006/11/06 14:14:42  charles
- updated to 1.4.8

Revision 1.61  2006/11/04 21:31:31  qboosh
- updated pl desc

Revision 1.60  2006/10/31 22:54:58  qboosh
- pl fix

Revision 1.59  2006/10/31 21:57:39  glen
- update -sendmail description
- O/P: /usr/lib/sendmail for -sendmail

Revision 1.58  2006/10/31 21:16:14  twittner
- don't use %{_prefix} for /usr/lib/sendmail (for previous commit)

Revision 1.57  2006/10/31 21:12:13  twittner
- sendmail links released in subpackage msmtp-sendmail to avoid
  conflict with full-featured MTAs
- note: msmtp-sendmail imo doesn't provide smtpdaemon (for me
  smtpdaemon it is sth what is:
  1. daemon
  2. listens on 25 port
- rel. 2

Revision 1.56  2006/08/21 12:50:28  charles
- updated to 1.4.7

Revision 1.55  2006/08/04 22:29:05  charles
- proper BRs

Revision 1.54  2006/06/18 07:47:58  charles
- updated to 1.4.6
- enabled SASL and Libidn support; BR gsasl-devel instead of openssl-devel
- updated desc

Revision 1.53  2005/12/28 01:23:28  charles
- updated to 1.4.5

Revision 1.52  2005/10/26 17:08:19  glen
- be also sendmail wrapper

Revision 1.51  2005/09/20 16:50:58  saq
- rel 2 for unbroken home_etc.patch

Revision 1.50  2005/08/26 17:59:31  qboosh
- pl fix

Revision 1.49  2005/08/26 16:50:52  wolvverine
- 1.4.4
- STBR

Revision 1.48  2005/07/18 15:44:42  saq
- drop unpackaged info-dir
- works, release 1

Revision 1.47  2005/07/17 21:54:44  saq
- up to 1.4.3

Revision 1.46  2005/07/15 07:22:56  qboosh
- run fix-info-dir in postun as well
- don't package info/dir, it's autogenerated and belongs to fix-info-dir

Revision 1.45  2005/07/15 07:05:01  glen
- proper use of find_lang macro
- don't assume info/dir is compresssed (should it be packaged afterall?)

Revision 1.44  2005/07/15 07:01:08  glen
- fix-info-dir is not called so!. fix it. adapterize!

Revision 1.43  2005/07/15 06:30:15  wolvverine
- correct lang

Revision 1.42  2005/07/14 19:46:28  wolvverine
- up to 1.4.2

Revision 1.41  2005/06/18 17:02:45  areq
- 1.4.1

Revision 1.40  2005/06/08 14:40:34  zbyniu
- BR: pkgconfig

Revision 1.39  2005/04/04 17:30:07  adamg
- updated to 1.4.0

Revision 1.38  2005/03/23 00:08:08  qboosh
- unified

Revision 1.37  2005/03/22 19:17:14  saq
- up to 1.3.9

Revision 1.36  2005/02/20 08:23:15  adamg
- updated to 1.3.7

Revision 1.35  2005/02/06 16:24:21  adamg
- updated to 1.3.6

Revision 1.34  2005/02/06 09:21:27  adamg
- updated to 1.3.4

Revision 1.33  2005/01/10 00:08:37  adamg
- updated to 1.3.3

Revision 1.32  2004/12/30 15:41:59  kolodko
- up to 1.3.2, build, not tested

Revision 1.31  2004/12/29 18:20:58  undefine
- fixed home_etc patch by Jan Kanty Palus <atler@o2.pl>
- release 2

Revision 1.30  2004/12/25 10:29:23  adamg
- updated to 1.3.1

Revision 1.29  2004/12/25 00:12:55  adamg
- updated to 1.3.0

Revision 1.28  2004/11/14 19:21:52  saq
- up to 1.0.4 by Tomasz Jadowski

Revision 1.27  2004/09/01 16:59:44  paszczus
- updated to 1.2.3

Revision 1.26  2004/07/31 18:15:45  areq
- 1.2.1

Revision 1.25  2004/07/18 08:34:05  areq
- 1.2.0

Revision 1.24  2004/07/02 13:48:10  areq
- 1.1.3

Revision 1.23  2004/06/13 20:02:59  areq
- 1.1.2

Revision 1.22  2004/06/05 07:48:36  paszczus
- 1.1.1

Revision 1.21  2004/05/26 12:57:31  areq
- 1.1.0

Revision 1.20  2004/04/25 08:46:00  areq
- 1.0.0

Revision 1.19  2004/03/19 23:46:30  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.18  2004/02/08 17:30:31  misi3k
- updated to 0.7.0

Revision 1.17  2003/11/29 14:25:22  areq
- 0.6.4

Revision 1.16  2003/11/25 16:10:20  areq
- 0.6.3

Revision 1.15  2003/11/19 23:13:43  witekfl
- added home_etc.patch
- rel 2

Revision 1.14  2003/11/14 13:57:28  qboosh
- grrr, added missing ac/am deps; libtool is not used here
- added configure options to explicitly disable gnutls and gsasl

Revision 1.13  2003/11/14 13:26:56  areq
- 0.6.2

Revision 1.12  2003/10/28 12:23:34  areq
- 0.6.1

Revision 1.11  2003/10/13 13:01:47  areq
- 0.6.0

Revision 1.10  2003/10/09 08:31:06  areq
- 0.5.3

Revision 1.9  2003/09/30 08:22:45  areq
- 0.5.2

Revision 1.8  2003/09/24 09:30:34  areq
- 0.5.1

Revision 1.7  2003/09/08 19:16:46  areq
- 0.5.0

Revision 1.6  2003/08/19 09:18:07  areq
- 0.4.2

Revision 1.5  2003/08/12 10:18:48  areq
- 0.4.0

Revision 1.4  2003/08/11 08:50:57  qboosh
- simplified Source0 URL, pl description, removed COPYING (just GPL)

Revision 1.3  2003/08/09 21:15:48  areq
- 0.3.1

Revision 1.2  2003/08/05 19:58:23  areq
- fix Source0 url

Revision 1.1  2003/08/05 19:57:14  areq
- init PLD spec
